Developer API

InteriorDecoratorAI API

Integrate AI interior design into your own applications. Generate room transformations programmatically.

Getting Started

To use the API, you need an API token. Get your token from your account page.

All API requests require authentication via the Authorization header.

Authentication

Authorization: Token YOUR_API_TOKEN

Create a Conversion

POST /api/conversion/

Upload an image and specify room type and style to generate a design.

cURL Example
curl -X POST https://api.interiordecoratorai.com/interior/ \
  -F "files=@room.jpg" \
  -F "uuid=$(uuidgen)" \
  -F "room_type=living_room" \
  -F "style=modern" \
  -F "space=interior"
Python Example
import requests
import uuid

api_domain = "https://api.interiordecoratorai.com"
conversion_uuid = str(uuid.uuid4())

# Upload image for processing
with open("room.jpg", "rb") as f:
    response = requests.post(
        f"{api_domain}/interior/",
        files={"files": f},
        data={
            "uuid": conversion_uuid,
            "room_type": "living_room",
            "style": "modern",
            "space": "interior",
        }
    )

# Poll for results
result = requests.post(
    f"{api_domain}/results/",
    json={"conversion": conversion_uuid}
)
print(result.json())

Check Results

POST https://api.interiordecoratorai.com/results/

Response
{
  "finished": true,
  "files": [
    {
      "url": "/results/abc123.jpg",
      "original": "/originals/abc123.jpg",
      "thumbnail": "/thumbs/abc123.jpg"
    }
  ]
}

Parameters

ParameterTypeRequiredDescription
filesFileYesImage file (JPG, PNG)
uuidStringYesUnique identifier for tracking
room_typeStringYese.g., living_room, bedroom, kitchen
styleStringYese.g., modern, scandinavian, industrial
spaceStringYes"interior" or "exterior"
rendersIntegerNoNumber of variations (1-4, Pro only)
modelStringNosdxl, flux-schnell, or flux-dev
upscaleBooleanNoUpscale to 4K (Pro only)
stagingStringNoSet to "true" for virtual staging
sketchStringNoSet to "true" for sketch-to-render

API Pricing

API access is included with all Pro plans. Each conversion costs 1 credit (2 credits for staging and sketch-to-render).

View Plans